#!/bin/bash

## To remove \r line breaks in windows:
## sed -i 's/\r$//' filename

## https://discourse.roots.io/t/setting-up-sage-on-windows-8-1/4407
#fsutil behavior set SymlinkEvaluation L2L:1 R2R:1 L2R:1 R2L:1

## Make directories and move into /vagrant
if [ ! -d box ];
then
	mkdir "box"
	mkdir "box/www"
	mkdir "box/vagrant"
fi
cd box/vagrant

## Init vagrant within /vagrant
vagrant init ubuntu/xenial64

## Copy some resources to /vagrant for use in provision
cp ../../resources/Vagrantfile ./Vagrantfile
cp ../../resources/apache2.conf ./apache2.conf
cp ../../resources/lamp-setup.sh ./lamp-setup.sh
cp ../../resources/bootstrap.sh ./bootstrap.sh

### Bring up vagrant
vagrant up

### Display Instructions and then SSH into the new box
echo "====================================================="
echo " INSTRUCTIONS:"
echo "====================================================="
echo " Your machine is now ready."
echo " Guest Port 80 is being forwarded to Host Port 8187, "
echo " so here is the URL to access your site in your browser:"
echo ""
echo " 			http://localhost:8187"
echo ""
echo "Your web root is located at /var/www/html."
echo ""
echo "====================================================="
echo "I am now ssh-ing into it."
echo "Please wait..."
vagrant ssh



